"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const QRCodeReader_1 = require("./../core/qrcode/QRCodeReader");
const VideoInputDevice_1 = require("./VideoInputDevice");
exports.VideoInputDevice = VideoInputDevice_1.default;
const BrowserCodeReader_1 = require("./BrowserCodeReader");
/**
 * QR Code reader to use from browser.
 *
 * @class BrowserQRCodeReader
 * @extends {BrowserCodeReader}
 */
class BrowserQRCodeReader extends BrowserCodeReader_1.default {
    /**
     * Creates an instance of BrowserQRCodeReader.
     * @param {number} [timeBetweenScansMillis=500] the time delay between subsequent decode tries
     *
     * @memberOf BrowserQRCodeReader
     */
    constructor(timeBetweenScansMillis = 500) {
        super(new QRCodeReader_1.default(), timeBetweenScansMillis);
    }
}
exports.BrowserQRCodeReader = BrowserQRCodeReader;
//# sourceMappingURL=BrowserQRCodeReader.js.map